diff --git a/doc/builtins.ps b/doc/builtins.ps
index 2e5cf296..b24ecd78 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -2082,256 +2078,257 @@ F .409(ession is parsed)-.18 F(and evaluated accor)180 430.8 Q
 (Print the accumulated user and system times for the shell and for pr)
 11.01 F .334(ocesses r)-.18 F .334(un fr)-.08 F .334(om the)-.18 F 2.5
 (shell. The)144 495.6 R -.18(re)2.5 G(turn status is 0.).18 E F3(trap)
-108 512.4 Q F2([)2.5 E F3(\255lp)A F2 2.5(][)C F1(ar)-2.5 E(g)-.18 E F2
-2.5(][)C F1(sigspec)-2.5 E F2(...])2.5 E .563(The command)144 524.4 R F1
+108 512.4 Q F2([)2.5 E F3(\255lp)A F2 2.5(][)C([)-2.5 E F1(ar)A(g)-.18 E
+F2(])A F1(sigspec)2.5 E F2(...])2.5 E .563(The command)144 524.4 R F1
 (ar)3.523 E(g)-.18 E F2 .563(is to be r)3.543 F .563
 (ead and executed when the shell r)-.18 F .564(eceives signal\(s\))-.18
 F F1(sigspec)3.064 E F2 5.564(.I).32 G(f)-5.564 E F1(ar)144.46 536.4 Q
-(g)-.18 E F2 .942(is absent or)3.922 F F3<ad>3.442 E F2 3.441(,a)C .941
-(ll speci\214ed signals ar)-3.441 F 3.441(er)-.18 G .941
-(eset to their original values \(the values they)-3.621 F 1.892
-(had upon entrance to the shell\).)144 548.4 R(If)6.892 E F1(ar)4.852 E
-(g)-.18 E F2 1.893(is the null string the signal speci\214ed by each)
-4.872 F F1(sigspec)144.41 560.4 Q F2 .515(is ignor)3.335 F .514
-(ed by the shell and by the commands it invokes.)-.18 F(If)5.514 E F1
-(ar)3.474 E(g)-.18 E F2 .514(is not pr)3.494 F .514(esent and)-.18 F F3
-<ad70>144 572.4 Q F2 2.161
-(has been supplied, then the trap commands associated with each)4.66 F
-F1(sigspec)5.071 E F2(ar)4.981 E 4.661(ed)-.18 G(is-)-4.661 E 3.428
-(played. If)144 584.4 R .927(no ar)3.427 F .927(guments ar)-.18 F 3.427
-(es)-.18 G .927(upplied or if only)-3.427 F F3<ad70>3.427 E F2 .927
-(is given,)3.427 F F3(trap)3.427 E F2 .927(prints the list of com-)3.427
-F .646(mands associated with each signal number)144 596.4 R 5.647(.T)
--.74 G(he)-5.647 E F3<ad6c>3.147 E F2 .647
-(option causes the shell to print a list)3.147 F 1.095
-(of signal names and their corr)144 608.4 R 1.095(esponding numbers.)
--.18 F(Each)6.095 E F1(sigspec)4.005 E F2 1.094(is either a signal name)
-3.914 F .369(de\214ned in <)144 620.4 R F1(signal.h)A F2 .369
-(>, or a signal number)B 5.37(.I)-.74 G 2.87(fa)-5.37 G F1(sigspec).41 E
-F2(is)3.19 E F4(EXIT)2.87 E F2 .37(\(0\) the command)2.62 F F1(ar)3.33 E
-(g)-.18 E F2 .37(is exe-)3.35 F .801(cuted on exit fr)144 632.4 R .8
-(om the shell.)-.18 F .8(If a)5.8 F F1(sigspec)3.71 E F2(is)3.62 E F4
-(DEBUG)3.3 E F5(,)A F2 .8(the command)3.05 F F1(ar)3.76 E(g)-.18 E F2 .8
-(is executed befor)3.78 F(e)-.18 E(every)144 644.4 Q F1 .439
-(simple command)2.939 F F2(,)A F1(for)2.939 E F2(command,)2.939 E F1
-(case)2.939 E F2(command,)2.939 E F1(select)2.939 E F2 .439
-(command, every arithmetic)2.939 F F1(for)2.94 E F2 .592
-(command, and befor)144 656.4 R 3.092(et)-.18 G .592
-(he \214rst command executes in a shell function \(see)-3.092 F F4 .591
-(SHELL GRAM-)3.091 F(MAR)144 668.4 Q F2 2.534(above\). Refer)2.284 F
-.034(to the description of the)2.534 F F3(extglob)2.535 E F2 .035
-(option to the)2.535 F F3(shopt)2.535 E F2 .035(builtin for details)
-2.535 F .547(of its ef)144 680.4 R .547(fect on the)-.18 F F3(DEBUG)
-3.046 E F2 3.046(trap. If)3.046 F(a)3.046 E F1(sigspec)3.456 E F2(is)
-3.366 E F4(ERR)3.046 E F5(,)A F2 .546(the command)2.796 F F1(ar)3.506 E
-(g)-.18 E F2 .546(is executed when-)3.526 F 1.03
-(ever a simple command has a non\255zer)144 692.4 R 3.531(oe)-.18 G
-1.031(xit status, subject to the following conditions.)-3.531 F(The)144
-704.4 Q F4(ERR)3.034 E F2 .533(trap is not executed if the failed comma\
-nd is part of the command list immedi-)2.784 F .222(ately following a)
-144 716.4 R F3(while)2.722 E F2(or)2.722 E F3(until)2.722 E F2(keywor)
-2.722 E .222(d, part of the test in an)-.18 F F1(if)2.882 E F2 .223
-(statement, part of a)4.572 F F3(&&)2.723 E F2(or)144 728.4 Q/F6 10
-/Symbol SF<efef>3.613 E F2 1.113(list, or if the command's r)3.613 F
-1.113(eturn value is being inverted via)-.18 F F3(!)3.613 E F2 6.113(.T)
-C 1.113(hese ar)-6.113 F 3.613(et)-.18 G 1.112(he same)-3.613 F F0
-(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E
-(17)185.545 E 0 Cg EP
+(g)-.18 E F2 .153(is absent \(and ther)3.133 F 2.653(ei)-.18 G 2.653
+(sas)-2.653 G(ingle)-2.653 E F1(sigspec)2.653 E F2 2.653(\)o)C(r)-2.653
+E F3<ad>2.653 E F2 2.653(,e)C .153(ach speci\214ed signal is r)-2.653 F
+.152(eset to its original)-.18 F .069
+(disposition \(the value it had upon entrance to the shell\).)144 548.4
+R(If)5.069 E F1(ar)3.03 E(g)-.18 E F2 .07(is the null string the signal)
+3.05 F .142(speci\214ed by each)144 560.4 R F1(sigspec)3.052 E F2 .142
+(is ignor)2.962 F .142(ed by the shell and by the commands it invokes.)
+-.18 F(If)5.141 E F1(ar)3.101 E(g)-.18 E F2(is)3.121 E 1.795(not pr)144
+572.4 R 1.795(esent and)-.18 F F3<ad70>4.295 E F2 1.796
+(has been supplied, then the trap commands associated with each)4.295 F
+F1(sigspec)144.41 584.4 Q F2(ar)3.218 E 2.898(ed)-.18 G 2.898
+(isplayed. If)-2.898 F .398(no ar)2.898 F .398(guments ar)-.18 F 2.898
+(es)-.18 G .397(upplied or if only)-2.898 F F3<ad70>2.897 E F2 .397
+(is given,)2.897 F F3(trap)2.897 E F2 .397(prints the)2.897 F .035
+(list of commands associated with each signal.)144 596.4 R(The)5.036 E
+F3<ad6c>2.536 E F2 .036(option causes the shell to print a list)2.536 F
+1.095(of signal names and their corr)144 608.4 R 1.095
+(esponding numbers.)-.18 F(Each)6.095 E F1(sigspec)4.005 E F2 1.094
+(is either a signal name)3.914 F .672(de\214ned in <)144 620.4 R F1
+(signal.h)A F2 .673(>, or a signal number)B 5.673(.S)-.74 G .673
+(ignal names ar)-5.673 F 3.173(ec)-.18 G .673
+(ase insensitive and the SIG)-3.173 F(pr)144 632.4 Q .977
+(e\214x is optional.)-.18 F .976(If a)5.976 F F1(sigspec)3.886 E F2(is)
+3.796 E F4(EXIT)3.476 E F2 .976(\(0\) the command)3.226 F F1(ar)3.936 E
+(g)-.18 E F2 .976(is executed on exit fr)3.956 F .976(om the)-.18 F
+3.404(shell. If)144 644.4 R(a)3.404 E F1(sigspec)3.814 E F2(is)3.724 E
+F4(DEBUG)3.404 E F5(,)A F2 .904(the command)3.154 F F1(ar)3.864 E(g)-.18
+E F2 .905(is executed befor)3.885 F 3.405(ee)-.18 G(very)-3.405 E F1
+.905(simple command)3.405 F F2(,)A F1(for)144 656.4 Q F2(command,)3.016
+E F1(case)3.016 E F2(command,)3.016 E F1(select)3.016 E F2 .515
+(command, every arithmetic)3.016 F F1(for)3.015 E F2 .515
+(command, and befor)3.015 F(e)-.18 E 1.001
+(the \214rst command executes in a shell function \(see)144 668.4 R F4
+1.001(SHELL GRAMMAR)3.501 F F2 3.501(above\). Refer)3.251 F(to)3.501 E
+1.199(the description of the)144 680.4 R F3(extglob)3.699 E F2 1.199
+(option to the)3.699 F F3(shopt)3.699 E F2 1.199
+(builtin for details of its ef)3.699 F 1.198(fect on the)-.18 F F3
+(DEBUG)144 692.4 Q F2 3.153(trap. If)3.153 F(a)3.153 E F1(sigspec)3.563
+E F2(is)3.473 E F4(ERR)3.153 E F5(,)A F2 .653(the command)2.903 F F1(ar)
+3.613 E(g)-.18 E F2 .653(is executed whenever a simple com-)3.633 F .241
+(mand has a non\255zer)144 704.4 R 2.741(oe)-.18 G .24
+(xit status, subject to the following conditions.)-2.741 F(The)5.24 E F4
+(ERR)2.74 E F2 .24(trap is not)2.49 F 1.926(executed if the failed comm\
+and is part of the command list immediately following a)144 716.4 R F3
+(while)144 728.4 Q F2(or)2.552 E F3(until)2.552 E F2(keywor)2.552 E .052
+(d, part of the test in an)-.18 F F1(if)2.712 E F2 .052
+(statement, part of a)4.402 F F3(&&)2.552 E F2(or)2.552 E/F6 10/Symbol
+SF<efef>2.552 E F2 .051(list, or if the)2.552 F F0(GNU Bash-3.0)72 768 Q
+(2004 Apr 20)148.735 E(17)198.725 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Palatino-Roman@0 SF .316(conditions obeyed by the)144 84 R/F2 10
-/Palatino-Bold@0 SF(errexit)2.816 E F1 2.816(option. If)2.816 F(a)2.816
-E/F3 10/Palatino-Italic@0 SF(sigspec)3.226 E F1(is)3.136 E/F4 9
-/Palatino-Bold@0 SF(RETURN)2.816 E/F5 9/Palatino-Roman@0 SF(,)A F1 .316
-(the command)2.566 F F3(ar)3.277 E(g)-.18 E F1 .317(is exe-)3.297 F .448
-(cuted each time a shell function or a script executed with the)144 96 R
-F2(.)2.948 E F1(or)2.948 E F2(source)2.948 E F1 .448
-(builtins \214nishes)2.948 F 3.427(executing. Signals)144 108 R(ignor)
-3.427 E .928(ed upon entry to the shell cannot be trapped or r)-.18 F
-3.428(eset. T)-.18 F(rapped)-.9 E .615(signals ar)144 120 R 3.115(er)
--.18 G .615(eset to their original values in a child pr)-3.295 F .615
-(ocess when it is cr)-.18 F 3.115(eated. The)-.18 F -.18(re)3.115 G
-(turn).18 E(status is false if any)144 132 Q F3(sigspec)2.91 E F1
+/Palatino-Roman@0 SF .092(command's r)144 84 R .092
+(eturn value is being inverted via)-.18 F/F2 10/Palatino-Bold@0 SF(!)
+2.592 E F1 5.092(.T)C .092(hese ar)-5.092 F 2.592(et)-.18 G .092
+(he same conditions obeyed by)-2.592 F(the)144 96 Q F2(errexit)2.825 E
+F1 2.825(option. If)2.825 F(a)2.825 E/F3 10/Palatino-Italic@0 SF
+(sigspec)3.235 E F1(is)3.145 E/F4 9/Palatino-Bold@0 SF(RETURN)2.825 E/F5
+9/Palatino-Roman@0 SF(,)A F1 .325(the command)2.575 F F3(ar)3.284 E(g)
+-.18 E F1 .324(is executed each time a shell)3.304 F 1.95
+(function or a script executed with the)144 108 R F2(.)4.451 E F1(or)
+4.451 E F2(source)4.451 E F1 1.951(builtins \214nishes executing.)4.451
+F(Signals)6.951 E(ignor)144 120 Q .847
+(ed upon entry to the shell cannot be trapped or r)-.18 F 3.346(eset. T)
+-.18 F .846(rapped signals ar)-.9 F 3.346(er)-.18 G .846(eset to)-3.526
+F .298(their original values in a child pr)144 132 R .299
+(ocess when it is cr)-.18 F 2.799(eated. The)-.18 F -.18(re)2.799 G .299
+(turn status is false if any).18 F F3(sigspec)144.41 144 Q F1
 (is invalid; otherwise)2.82 E F2(trap)2.5 E F1 -.18(re)2.5 G(turns tr)
-.18 E(ue.)-.08 E F2(type)108 148.8 Q F1([)2.5 E F2(\255aftpP)A F1(])A F3
-(name)2.5 E F1([)2.5 E F3(name)A F1(...])2.5 E -.55(Wi)144 160.8 S 1.475
+.18 E(ue.)-.08 E F2(type)108 160.8 Q F1([)2.5 E F2(\255aftpP)A F1(])A F3
+(name)2.5 E F1([)2.5 E F3(name)A F1(...])2.5 E -.55(Wi)144 172.8 S 1.476
 (th no options, indicate how each).55 F F3(name)4.236 E F1 1.476
-(would be interpr)4.326 F 1.476(eted if used as a command)-.18 F 2.726
-(name. If)144 172.8 R(the)2.726 E F2<ad74>2.726 E F1 .226
-(option is used,)2.726 F F2(type)2.725 E F1 .225
-(prints a string which is one of)2.725 F F3(alias)2.725 E F1(,).06 E F3
-(keyword)2.725 E F1(,).33 E F3(function)2.725 E F1(,).08 E F3(builtin)
-144 184.8 Q F1 2.555(,o).08 G(r)-2.555 E F3(\214le)4.675 E F1(if)2.905 E
-F3(name)2.815 E F1 .056(is an alias, shell r)2.905 F .056(eserved wor)
--.18 F .056(d, function, builtin, or disk \214le, r)-.18 F(espec-)-.18 E
-(tively)144 196.8 Q 6.635(.I)-1.11 G 4.135(ft)-6.635 G(he)-4.135 E F3
-(name)4.395 E F1 1.635
+(would be interpr)4.326 F 1.475(eted if used as a command)-.18 F 2.725
+(name. If)144 184.8 R(the)2.725 E F2<ad74>2.725 E F1 .225
+(option is used,)2.725 F F2(type)2.725 E F1 .225
+(prints a string which is one of)2.725 F F3(alias)2.726 E F1(,).06 E F3
+(keyword)2.726 E F1(,).33 E F3(function)2.726 E F1(,).08 E F3(builtin)
+144 196.8 Q F1 2.556(,o).08 G(r)-2.556 E F3(\214le)4.676 E F1(if)2.906 E
+F3(name)2.816 E F1 .056(is an alias, shell r)2.906 F .056(eserved wor)
+-.18 F .055(d, function, builtin, or disk \214le, r)-.18 F(espec-)-.18 E
+(tively)144 208.8 Q 6.634(.I)-1.11 G 4.134(ft)-6.634 G(he)-4.134 E F3
+(name)4.394 E F1 1.635
 (is not found, then nothing is printed, and an exit status of false is)
-4.485 F -.18(re)144 208.8 S 2.522(turned. If).18 F(the)2.523 E F2<ad70>
+4.484 F -.18(re)144 220.8 S 2.523(turned. If).18 F(the)2.523 E F2<ad70>
 2.523 E F1 .023(option is used,)2.523 F F2(type)2.523 E F1 .023
 (either r)2.523 F .023(eturns the name of the disk \214le that would)
--.18 F 1.086(be executed if)144 220.8 R F3(name)3.846 E F1(wer)3.936 E
+-.18 F 1.086(be executed if)144 232.8 R F3(name)3.846 E F1(wer)3.936 E
 3.586(es)-.18 G 1.086(peci\214ed as a command name, or nothing if)-3.586
-F/F6 10/Courier@0 SF 1.086(type -t name)3.586 F F1 .015(would not r)144
-232.8 R(eturn)-.18 E F3(\214le)2.515 E F1 5.015(.T).35 G(he)-5.015 E F2
-<ad50>2.515 E F1 .015(option for)2.515 F .015(ces a)-.18 F F4 -.666(PA)
-2.515 G(TH)-.162 E F1(sear)2.266 E .016(ch for each)-.18 F F3(name)2.516
-E F1 2.516(,e)C .016(ven if)-2.516 F F6 .016(type -t)2.516 F(name)144
-244.8 Q F1 .645(would not r)3.145 F(eturn)-.18 E F3(\214le)3.145 E F1
+F/F6 10/Courier@0 SF 1.086(type -t name)3.586 F F1 .016(would not r)144
+244.8 R(eturn)-.18 E F3(\214le)2.516 E F1 5.016(.T).35 G(he)-5.016 E F2
+<ad50>2.516 E F1 .016(option for)2.516 F .016(ces a)-.18 F F4 -.666(PA)
+2.515 G(TH)-.162 E F1(sear)2.265 E .015(ch for each)-.18 F F3(name)2.515
+E F1 2.515(,e)C .015(ven if)-2.515 F F6 .015(type -t)2.515 F(name)144
+256.8 Q F1 .645(would not r)3.145 F(eturn)-.18 E F3(\214le)3.145 E F1
 5.645(.I).35 G 3.145(fac)-5.645 G .645(ommand is hashed,)-3.145 F F2
 <ad70>3.145 E F1(and)3.145 E F2<ad50>3.145 E F1 .645
-(print the hashed value,)3.145 F .41
-(not necessarily the \214le that appears \214rst in)144 256.8 R F4 -.666
+(print the hashed value,)3.145 F .411
+(not necessarily the \214le that appears \214rst in)144 268.8 R F4 -.666
 (PA)2.911 G(TH)-.162 E F5(.)A F1 .411(If the)4.911 F F2<ad61>2.911 E F1
-.411(option is used,)2.911 F F2(type)2.911 E F1 .411(prints all)2.911 F
-.164(of the places that contain an executable named)144 268.8 R F3(name)
+.411(option is used,)2.911 F F2(type)2.91 E F1 .41(prints all)2.91 F
+.164(of the places that contain an executable named)144 280.8 R F3(name)
 2.664 E F1 5.164(.T).35 G .164(his includes aliases and functions,)
--5.164 F .73(if and only if the)144 280.8 R F2<ad70>3.23 E F1 .73
+-5.164 F .73(if and only if the)144 292.8 R F2<ad70>3.23 E F1 .73
 (option is not also used.)3.23 F .73
-(The table of hashed commands is not con-)5.73 F .498(sulted when using)
-144 292.8 R F2<ad61>2.998 E F1 5.498(.T)C(he)-5.498 E F2<ad66>2.998 E F1
+(The table of hashed commands is not con-)5.73 F .497(sulted when using)
+144 304.8 R F2<ad61>2.998 E F1 5.498(.T)C(he)-5.498 E F2<ad66>2.998 E F1
 .498(option suppr)2.998 F .498(esses shell function lookup, as with the)
--.18 F F2(com-)2.997 E(mand)144 304.8 Q F1(builtin.)4.557 E F2(type)
-7.057 E F1 -.18(re)4.557 G 2.057(turns tr).18 F 2.057
-(ue if any of the ar)-.08 F 2.057(guments ar)-.18 F 4.558(ef)-.18 G
-2.058(ound, false if none ar)-4.558 F(e)-.18 E(found.)144 316.8 Q F2
-(ulimit)108 333.6 Q F1([)2.5 E F2(\255SHacd\215mnpstuv)A F1([)2.5 E F3
-(limit)A F1(]])A(Pr)144 345.6 Q .062(ovides contr)-.18 F .062
+-.18 F F2(com-)2.998 E(mand)144 316.8 Q F1(builtin.)4.558 E F2(type)
+7.058 E F1 -.18(re)4.558 G 2.058(turns tr).18 F 2.057
+(ue if any of the ar)-.08 F 2.057(guments ar)-.18 F 4.557(ef)-.18 G
+2.057(ound, false if none ar)-4.557 F(e)-.18 E(found.)144 328.8 Q F2
+(ulimit)108 345.6 Q F1([)2.5 E F2(\255SHacd\215mnpstuv)A F1([)2.5 E F3
+(limit)A F1(]])A(Pr)144 357.6 Q .061(ovides contr)-.18 F .061
 (ol over the r)-.18 F(esour)-.18 E .061
-(ces available to the shell and to pr)-.18 F .061
-(ocesses started by it, on)-.18 F 1.496(systems that allow such contr)
-144 357.6 R 3.996(ol. The)-.18 F F2<ad48>3.997 E F1(and)3.997 E F2<ad53>
-3.997 E F1 1.497(options specify that the har)3.997 F 3.997(do)-.18 G
-3.997(rs)-3.997 G(oft)-3.997 E .884(limit is set for the given r)144
-369.6 R(esour)-.18 E 3.384(ce. A)-.18 F(har)3.384 E 3.384(dl)-.18 G .884
+(ces available to the shell and to pr)-.18 F .062
+(ocesses started by it, on)-.18 F 1.497(systems that allow such contr)
+144 369.6 R 3.997(ol. The)-.18 F F2<ad48>3.997 E F1(and)3.997 E F2<ad53>
+3.997 E F1 1.496(options specify that the har)3.997 F 3.996(do)-.18 G
+3.996(rs)-3.996 G(oft)-3.996 E .884(limit is set for the given r)144
+381.6 R(esour)-.18 E 3.384(ce. A)-.18 F(har)3.384 E 3.384(dl)-.18 G .884
 (imit cannot be incr)-3.384 F .884(eased once it is set; a soft)-.18 F
-.088(limit may be incr)144 381.6 R .088
+.089(limit may be incr)144 393.6 R .088
 (eased up to the value of the har)-.18 F 2.588(dl)-.18 G 2.588(imit. If)
--2.588 F(neither)2.589 E F2<ad48>2.589 E F1(nor)2.589 E F2<ad53>2.589 E
-F1 .089(is speci\214ed,)2.589 F .163(both the soft and har)144 393.6 R
-2.663(dl)-.18 G .163(imits ar)-2.663 F 2.663(es)-.18 G 2.663(et. The)
--2.663 F .163(value of)2.663 F F3(limit)2.803 E F1 .162
-(can be a number in the unit speci-)2.933 F .175(\214ed for the r)144
-405.6 R(esour)-.18 E .175(ce or one of the special values)-.18 F F2
-(hard)2.676 E F1(,)A F2(soft)2.676 E F1 2.676(,o)C(r)-2.676 E F2
-(unlimited)2.676 E F1 2.676(,w)C .176(hich stand for)-2.676 F .243
-(the curr)144 417.6 R .243(ent har)-.18 F 2.743(dl)-.18 G .243
-(imit, the curr)-2.743 F .243(ent soft limit, and no limit, r)-.18 F
-(espectively)-.18 E 5.242(.I)-1.11 G(f)-5.242 E F3(limit)2.882 E F1 .242
-(is omitted,)3.012 F .081(the curr)144 429.6 R .081
+-2.588 F(neither)2.588 E F2<ad48>2.588 E F1(nor)2.588 E F2<ad53>2.588 E
+F1 .088(is speci\214ed,)2.588 F .162(both the soft and har)144 405.6 R
+2.662(dl)-.18 G .162(imits ar)-2.662 F 2.662(es)-.18 G 2.663(et. The)
+-2.662 F .163(value of)2.663 F F3(limit)2.803 E F1 .163
+(can be a number in the unit speci-)2.933 F .176(\214ed for the r)144
+417.6 R(esour)-.18 E .176(ce or one of the special values)-.18 F F2
+(hard)2.676 E F1(,)A F2(soft)2.675 E F1 2.675(,o)C(r)-2.675 E F2
+(unlimited)2.675 E F1 2.675(,w)C .175(hich stand for)-2.675 F .242
+(the curr)144 429.6 R .242(ent har)-.18 F 2.742(dl)-.18 G .242
+(imit, the curr)-2.742 F .243(ent soft limit, and no limit, r)-.18 F
+(espectively)-.18 E 5.243(.I)-1.11 G(f)-5.243 E F3(limit)2.883 E F1 .243
+(is omitted,)3.013 F .082(the curr)144 441.6 R .081
 (ent value of the soft limit of the r)-.18 F(esour)-.18 E .081
-(ce is printed, unless the)-.18 F F2<ad48>2.581 E F1 .082
-(option is given.)2.582 F .33(When mor)144 441.6 R 2.83(et)-.18 G .33
-(han one r)-2.83 F(esour)-.18 E .329
-(ce is speci\214ed, the limit name and unit ar)-.18 F 2.829(ep)-.18 G
-.329(rinted befor)-2.829 F 2.829(et)-.18 G(he)-2.829 E 2.5(value. Other)
-144 453.6 R(options ar)2.5 E 2.5(ei)-.18 G(nterpr)-2.5 E
-(eted as follows:)-.18 E F2<ad61>144 465.6 Q F1(All curr)24.94 E
-(ent limits ar)-.18 E 2.5(er)-.18 G(eported)-2.68 E F2<ad63>144 477.6 Q
-F1(The maximum size of cor)25.5 E 2.5<658c>-.18 G(les cr)-2.5 E(eated)
--.18 E F2<ad64>144 489.6 Q F1(The maximum size of a pr)23.83 E
-(ocess's data segment)-.18 E F2<ad66>144 501.6 Q F1
+(ce is printed, unless the)-.18 F F2<ad48>2.581 E F1 .081
+(option is given.)2.581 F .329(When mor)144 453.6 R 2.829(et)-.18 G .329
+(han one r)-2.829 F(esour)-.18 E .329
+(ce is speci\214ed, the limit name and unit ar)-.18 F 2.83(ep)-.18 G .33
+(rinted befor)-2.83 F 2.83(et)-.18 G(he)-2.83 E 2.5(value. Other)144
+465.6 R(options ar)2.5 E 2.5(ei)-.18 G(nterpr)-2.5 E(eted as follows:)
+-.18 E F2<ad61>144 477.6 Q F1(All curr)24.94 E(ent limits ar)-.18 E 2.5
+(er)-.18 G(eported)-2.68 E F2<ad63>144 489.6 Q F1
+(The maximum size of cor)25.5 E 2.5<658c>-.18 G(les cr)-2.5 E(eated)-.18
+E F2<ad64>144 501.6 Q F1(The maximum size of a pr)23.83 E
+(ocess's data segment)-.18 E F2<ad66>144 513.6 Q F1
 (The maximum size of \214les cr)26.05 E(eated by the shell)-.18 E F2
-<ad6c>144 513.6 Q F1(The maximum size that may be locked into memory)
-26.61 E F2<ad6d>144 525.6 Q F1(The maximum r)21.05 E(esident set size)
--.18 E F2<ad6e>144 537.6 Q F1 .958(The maximum number of open \214le de\
+<ad6c>144 525.6 Q F1(The maximum size that may be locked into memory)
+26.61 E F2<ad6d>144 537.6 Q F1(The maximum r)21.05 E(esident set size)
+-.18 E F2<ad6e>144 549.6 Q F1 .958(The maximum number of open \214le de\
 scriptors \(most systems do not allow this)23.83 F(value to be set\))180
-549.6 Q F2<ad70>144 561.6 Q F1
+561.6 Q F2<ad70>144 573.6 Q F1
 (The pipe size in 512-byte blocks \(this may not be set\))23.83 E F2
-<ad73>144 573.6 Q F1(The maximum stack size)25.5 E F2<ad74>144 585.6 Q
-F1(The maximum amount of cpu time in seconds)26.61 E F2<ad75>144 597.6 Q
+<ad73>144 585.6 Q F1(The maximum stack size)25.5 E F2<ad74>144 597.6 Q
+F1(The maximum amount of cpu time in seconds)26.61 E F2<ad75>144 609.6 Q
 F1(The maximum number of pr)23.83 E(ocesses available to a single user)
--.18 E F2<ad76>144 609.6 Q F1
+-.18 E F2<ad76>144 621.6 Q F1
 (The maximum amount of virtual memory available to the shell)24.38 E(If)
-144 626.4 Q F3(limit)4.151 E F1 1.511
-(is given, it is the new value of the speci\214ed r)4.281 F(esour)-.18 E
-1.51(ce \(the)-.18 F F2<ad61>4.01 E F1 1.51(option is display)4.01 F
-4.315(only\). If)144 638.4 R 1.815(no option is given, then)4.315 F F2
+144 638.4 Q F3(limit)4.15 E F1 1.51
+(is given, it is the new value of the speci\214ed r)4.28 F(esour)-.18 E
+1.511(ce \(the)-.18 F F2<ad61>4.011 E F1 1.511(option is display)4.011 F
+4.315(only\). If)144 650.4 R 1.815(no option is given, then)4.315 F F2
 <ad66>4.315 E F1 1.815(is assumed.)4.315 F -.92(Va)6.815 G 1.815
 (lues ar).92 F 4.315(ei)-.18 G 4.315(n1)-4.315 G 1.815(024-byte incr)
--4.315 F(ements,)-.18 E .973(except for)144 650.4 R F2<ad74>3.473 E F1
+-4.315 F(ements,)-.18 E .972(except for)144 662.4 R F2<ad74>3.473 E F1
 3.473(,w)C .973(hich is in seconds,)-3.473 F F2<ad70>3.473 E F1 3.473
 (,w)C .973(hich is in units of 512-byte blocks, and)-3.473 F F2<ad6e>
-3.473 E F1(and)3.472 E F2<ad75>144 662.4 Q F1 3.517(,w)C 1.017(hich ar)
--3.517 F 3.517(eu)-.18 G 1.017(nscaled values.)-3.517 F 1.017(The r)
-6.017 F 1.018(eturn status is 0 unless an invalid option or ar)-.18 F
-(gu-)-.18 E(ment is supplied, or an err)144 674.4 Q
-(or occurs while setting a new limit.)-.18 E F2(umask)108 691.2 Q F1([)
+3.473 E F1(and)3.473 E F2<ad75>144 674.4 Q F1 3.518(,w)C 1.018(hich ar)
+-3.518 F 3.518(eu)-.18 G 1.018(nscaled values.)-3.518 F 1.017(The r)
+6.018 F 1.017(eturn status is 0 unless an invalid option or ar)-.18 F
+(gu-)-.18 E(ment is supplied, or an err)144 686.4 Q
+(or occurs while setting a new limit.)-.18 E F2(umask)108 703.2 Q F1([)
 2.5 E F2<ad70>A F1 2.5(][)C F2<ad53>-2.5 E F1 2.5(][)C F3(mode)-2.5 E F1
-(])A .536(The user \214le-cr)144 703.2 R .536(eation mask is set to)-.18
-F F3(mode)3.035 E F1 5.535(.I).35 G(f)-5.535 E F3(mode)3.295 E F1 .535
-(begins with a digit, it is interpr)3.385 F .535(eted as)-.18 F 1.826
-(an octal number; otherwise it is interpr)144 715.2 R 1.827
-(eted as a symbolic mode mask similar to that)-.18 F .951(accepted by)
-144 727.2 R F3(chmod)3.451 E F1 3.451(\(1\). If).33 F F3(mode)3.711 E F1
-.951(is omitted, the curr)3.801 F .95(ent value of the mask is printed.)
--.18 F(The)5.95 E F0(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)
--.15 G(mber 27).15 E(18)185.545 E 0 Cg EP
+(])A .535(The user \214le-cr)144 715.2 R .535(eation mask is set to)-.18
+F F3(mode)3.035 E F1 5.535(.I).35 G(f)-5.535 E F3(mode)3.295 E F1 .536
+(begins with a digit, it is interpr)3.385 F .536(eted as)-.18 F 1.827
+(an octal number; otherwise it is interpr)144 727.2 R 1.826
+(eted as a symbolic mode mask similar to that)-.18 F F0(GNU Bash-3.0)72
+768 Q(2004 Apr 20)148.735 E(18)198.725 E 0 Cg EP
 %%Page: 19 19
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Palatino-Bold@0 SF<ad53>144 84 Q/F2 10/Palatino-Roman@0 SF .607(option\
- causes the mask to be printed in symbolic form; the default output is \
-an octal)3.106 F(number)144 96 Q 6.02(.I)-.74 G 3.52(ft)-6.02 G(he)-3.52
-E F1<ad70>3.52 E F2 1.02(option is supplied, and)3.52 F/F3 10
-/Palatino-Italic@0 SF(mode)3.78 E F2 1.02
-(is omitted, the output is in a form that)3.87 F .236(may be r)144 108 R
-.236(eused as input.)-.18 F .236(The r)5.236 F .237
+/Palatino-Roman@0 SF .95(accepted by)144 84 R/F2 10/Palatino-Italic@0 SF
+(chmod)3.45 E F1 3.45(\(1\). If).33 F F2(mode)3.71 E F1 .951
+(is omitted, the curr)3.8 F .951(ent value of the mask is printed.)-.18
+F(The)5.951 E/F3 10/Palatino-Bold@0 SF<ad53>144 96 Q F1 .607(option cau\
+ses the mask to be printed in symbolic form; the default output is an o\
+ctal)3.107 F(number)144 108 Q 6.02(.I)-.74 G 3.52(ft)-6.02 G(he)-3.52 E
+F3<ad70>3.52 E F1 1.02(option is supplied, and)3.52 F F2(mode)3.78 E F1
+1.02(is omitted, the output is in a form that)3.87 F .237(may be r)144
+120 R .237(eused as input.)-.18 F .237(The r)5.237 F .236
 (eturn status is 0 if the mode was successfully changed or if)-.18 F(no)
-144 120 Q F3(mode)2.5 E F2(ar)2.5 E
-(gument was supplied, and false otherwise.)-.18 E F1(unalias)108 136.8 Q
-F2<5bad>2.5 E F1(a)A F2 2.5(][)C F3(name)-2.5 E F2(...])2.5 E .719
-(Remove each)144 148.8 R F3(name)3.219 E F2(fr)3.219 E .719
-(om the list of de\214ned aliases.)-.18 F(If)5.719 E F1<ad61>3.219 E F2
-.718(is supplied, all alias de\214nitions)3.218 F(ar)144 160.8 Q 2.5(er)
+144 132 Q F2(mode)2.5 E F1(ar)2.5 E
+(gument was supplied, and false otherwise.)-.18 E F3(unalias)108 148.8 Q
+F1<5bad>2.5 E F3(a)A F1 2.5(][)C F2(name)-2.5 E F1(...])2.5 E .718
+(Remove each)144 160.8 R F2(name)3.218 E F1(fr)3.218 E .719
+(om the list of de\214ned aliases.)-.18 F(If)5.719 E F3<ad61>3.219 E F1
+.719(is supplied, all alias de\214nitions)3.219 F(ar)144 172.8 Q 2.5(er)
 -.18 G 2.5(emoved. The)-2.68 F -.18(re)2.5 G(turn value is tr).18 E
-(ue unless a supplied)-.08 E F3(name)2.76 E F2
-(is not a de\214ned alias.)2.85 E F1(unset)108 177.6 Q F2<5bad>2.5 E F1
-(fv)A F2 2.5(][)C F3(name)-2.5 E F2(...])2.5 E 1.61(For each)144 189.6 R
-F3(name)4.11 E F2 4.11(,r).35 G 1.61(emove the corr)-4.29 F 1.61
+(ue unless a supplied)-.08 E F2(name)2.76 E F1
+(is not a de\214ned alias.)2.85 E F3(unset)108 189.6 Q F1<5bad>2.5 E F3
+(fv)A F1 2.5(][)C F2(name)-2.5 E F1(...])2.5 E 1.61(For each)144 201.6 R
+F2(name)4.11 E F1 4.11(,r).35 G 1.61(emove the corr)-4.29 F 1.61
 (esponding variable or function.)-.18 F 1.61(If no options ar)6.61 F
-4.11(es)-.18 G(up-)-4.11 E .474(plied, or the)144 201.6 R F1<ad76>2.974
-E F2 .473(option is given, each)2.974 F F3(name)3.233 E F2 -.18(re)3.323
-G .473(fers to a shell variable.).18 F .473(Read-only variables)5.473 F
-.48(may not be unset.)144 213.6 R(If)5.48 E F1<ad66>2.98 E F2 .48
-(is specifed, each)2.98 F F3(name)3.24 E F2 -.18(re)3.33 G .48
+4.11(es)-.18 G(up-)-4.11 E .473(plied, or the)144 213.6 R F3<ad76>2.973
+E F1 .473(option is given, each)2.973 F F2(name)3.233 E F1 -.18(re)3.323
+G .474(fers to a shell variable.).18 F .474(Read-only variables)5.474 F
+.48(may not be unset.)144 225.6 R(If)5.48 E F3<ad66>2.98 E F1 .48
+(is specifed, each)2.98 F F2(name)3.24 E F1 -.18(re)3.33 G .48
 (fers to a shell function, and the function).18 F .405
-(de\214nition is r)144 225.6 R 2.905(emoved. Each)-.18 F .405
+(de\214nition is r)144 237.6 R 2.905(emoved. Each)-.18 F .405
 (unset variable or function is r)2.905 F .405(emoved fr)-.18 F .405
-(om the envir)-.18 F(onment)-.18 E 1.474(passed to subsequent commands.)
-144 237.6 R 1.475(If any of)6.475 F/F4 9/Palatino-Bold@0 SF(RANDOM)3.975
-E/F5 9/Palatino-Roman@0 SF(,)A F4(SECONDS)3.725 E F5(,)A F4(LINENO)3.725
-E F5(,)A F4(HISTCMD)3.725 E F5(,)A F4(FUNCNAME)144 249.6 Q F5(,)A F4
-(GROUPS)2.804 E F5(,)A F2(or)2.803 E F4(DIRST)3.053 E(ACK)-.828 E F2(ar)
+(om the envir)-.18 F(onment)-.18 E 1.475(passed to subsequent commands.)
+144 249.6 R 1.475(If any of)6.475 F/F4 9/Palatino-Bold@0 SF(RANDOM)3.975
+E/F5 9/Palatino-Roman@0 SF(,)A F4(SECONDS)3.725 E F5(,)A F4(LINENO)3.724
+E F5(,)A F4(HISTCMD)3.724 E F5(,)A F4(FUNCNAME)144 261.6 Q F5(,)A F4
+(GROUPS)2.803 E F5(,)A F1(or)2.803 E F4(DIRST)3.053 E(ACK)-.828 E F1(ar)
 2.803 E 3.053(eu)-.18 G .553(nset, they lose their special pr)-3.053 F
-.553(operties, even if)-.18 F(they ar)144 261.6 Q 2.5(es)-.18 G
+.553(operties, even if)-.18 F(they ar)144 273.6 Q 2.5(es)-.18 G
 (ubsequently r)-2.5 E 2.5(eset. The)-.18 F(exit status is tr)2.5 E
-(ue unless a)-.08 E F3(name)2.76 E F2(is r)2.85 E(eadonly)-.18 E(.)-1.11
-E F1(wait)108 278.4 Q F2([)2.5 E F3(n)A F2(])A -.92(Wa)144 290.4 S .298
+(ue unless a)-.08 E F2(name)2.76 E F1(is r)2.85 E(eadonly)-.18 E(.)-1.11
+E F3(wait)108 290.4 Q F1([)2.5 E F2(n)A F1(])A -.92(Wa)144 302.4 S .299
 (it for the speci\214ed pr).92 F .298(ocess and r)-.18 F .298
-(eturn its termination status.)-.18 F F3(n)5.558 E F2 .298(may be a pr)
-2.878 F .299(ocess ID or)-.18 F 2.799(aj)144 302.4 S .298
-(ob speci\214cation; if a job spec is given, all pr)-2.799 F .298
-(ocesses in that job's pipeline ar)-.18 F 2.798(ew)-.18 G .298
-(aited for)-2.798 F(.)-.74 E(If)144 314.4 Q F3(n)2.78 E F2 .02
+(eturn its termination status.)-.18 F F2(n)5.558 E F1 .298(may be a pr)
+2.878 F .298(ocess ID or)-.18 F 2.798(aj)144 314.4 S .298
+(ob speci\214cation; if a job spec is given, all pr)-2.798 F .298
+(ocesses in that job's pipeline ar)-.18 F 2.799(ew)-.18 G .299
+(aited for)-2.799 F(.)-.74 E(If)144 326.4 Q F2(n)2.78 E F1 .02
 (is not given, all curr)2.6 F .02(ently active child pr)-.18 F .02
 (ocesses ar)-.18 F 2.52(ew)-.18 G .02(aited for)-2.52 F 2.52(,a)-.74 G
-.02(nd the r)-2.52 F .02(eturn status is)-.18 F(zer)144 326.4 Q 3.138
-(o. If)-.18 F F3(n)3.398 E F2 .638(speci\214es a non-existent pr)3.218 F
-.637(ocess or job, the r)-.18 F .637(eturn status is 127.)-.18 F .637
-(Otherwise, the)5.637 F -.18(re)144 338.4 S
+.02(nd the r)-2.52 F .02(eturn status is)-.18 F(zer)144 338.4 Q 3.137
+(o. If)-.18 F F2(n)3.397 E F1 .637(speci\214es a non-existent pr)3.217 F
+.637(ocess or job, the r)-.18 F .638(eturn status is 127.)-.18 F .638
+(Otherwise, the)5.638 F -.18(re)144 350.4 S
 (turn status is the exit status of the last pr).18 E
 (ocess or job waited for)-.18 E(.)-.74 E/F6 10.95/Palatino-Bold@0 SF
-(SEE ALSO)72 355.2 Q F2(bash\(1\), sh\(1\))108 367.2 Q F0
-(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E
-(19)185.545 E 0 Cg EP
+(SEE ALSO)72 367.2 Q F1(bash\(1\), sh\(1\))108 379.2 Q F0(GNU Bash-3.0)
+72 768 Q(2004 Apr 20)148.735 E(19)198.725 E 0 Cg EP
 %%Trailer
 end
 %%EOF
diff --git a/doc/rbash.0 b/doc/rbash.0
index 4a7ce3ed..2c741291 100644
--- a/doc/rbash.0
+++ b/doc/rbash.0
@@ -56,4 +56,4 @@ SSEEEE AALLSSOO
 
 
 
-GNU                               1999 Nov 29                         RBASH(1)
+GNU Bash-3.0                      2004 Apr 20                         RBASH(1)
diff --git a/doc/rbash.ps b/doc/rbash.ps
index 567ea951..37901278 100644
--- a/doc/rbash.ps
+++ b/doc/rbash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19
-%%CreationDate: Tue Apr 20 15:26:45 2004
+%%CreationDate: Tue Jun  1 12:27:24 2004
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%DocumentSuppliedResources: procset grops 1.19 0
@@ -265,15 +265,13 @@ F2(command)2.5 E F0 -.2(bu)2.5 G(iltin command).2 E 32.5<8374>108 379.2
 S(urning of)-32.5 E 2.5(fr)-.25 G(estricted mode with)-2.5 E F2(set +r)
 2.5 E F0(or)2.5 E F2(set +o r)2.5 E(estricted)-.18 E F0(.)A
 (These restrictions are enforced after an)108 396 Q 2.5(ys)-.15 G
-(tartup \214les are read.)-2.5 E 1.566
+(tartup \214les are read.)-2.5 E .429
 (When a command that is found to be a shell script is e)108 412.8 R -.15
-(xe)-.15 G 1.567(cuted \(see).15 F/F3 9/Times-Bold@0 SF 1.567
-(COMMAND EXECUTION)4.067 F F0(abo)3.817 E -.15(ve)-.15 G(\),).15 E F2
-(rbash)108 424.8 Q F0(turns of)2.5 E 2.5(fa)-.25 G .3 -.15(ny r)-2.5 H
-(estrictions in the shell spa).15 E(wned to e)-.15 E -.15(xe)-.15 G
-(cute the script.).15 E F1(SEE ALSO)72 441.6 Q F0(bash\(1\))108 453.6 Q
-183.805(GNU 1999)72 768 R(No)2.5 E 2.5(v2)-.15 G 202.965(91)-2.5 G 0 Cg
-EP
+(xe)-.15 G(cuted,).15 E F2(rbash)2.929 E F0 .429(turns of)2.929 F 2.929
+(fa)-.25 G .729 -.15(ny r)-2.929 H .429(estrictions in the shell).15 F
+(spa)108 424.8 Q(wned to e)-.15 E -.15(xe)-.15 G(cute the script.).15 E
+F1(SEE ALSO)72 441.6 Q F0(bash\(1\))108 453.6 Q(GNU Bash-3.0)72 768 Q
+(2004 Apr 20)148.735 E(1)203.725 E 0 Cg EP
 %%Trailer
 end
 %%EOF
